Package org.apache.lucene.index

# Class IndexWriter.DocStats

java.lang.Object
org.apache.lucene.index.IndexWriter.DocStats

Enclosing class:
  `IndexWriter`

public static final class IndexWriter.DocStats extends Object
DocStats for this index

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `maxDoc`
  The total number of docs in this index, counting docs not yet flushed (still in the RAM buffer), and also counting deleted docs.
  `final int`
  `numDocs`
  The total number of docs in this index, counting docs not yet flushed (still in the RAM buffer), but not counting deleted docs.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### maxDoc

    public final int maxDoc
    The total number of docs in this index, counting docs not yet flushed (still in the RAM buffer), and also counting deleted docs. NOTE: buffered deletions are not counted. If you really need these to be counted you should call `IndexWriter.commit()` first.

  - ### numDocs

    public final int numDocs
    The total number of docs in this index, counting docs not yet flushed (still in the RAM buffer), but not counting deleted docs.